# sc::SelfConsistentExtrapolation Class Reference

The SelfConsistentExtrapolation abstract class is used to iteratively solve equations requiring a self consistent solution, such as,. More...

`#include <scextrap.h>`

Inheritance diagram for sc::SelfConsistentExtrapolation:

List of all members.

## Public Member Functions

| SelfConsistentExtrapolation (StateIn &)
| SelfConsistentExtrapolation (const Ref< KeyVal > &)
| The only keyword read is tolerance#, which is usually not needed since the objects using SelfConsistentExtrapolation should set the tolerances as needed.
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | set_tolerance (double t)
double | tolerance ()
double | error ()
int | converged ()
virtual int | extrapolate (const Ref< SCExtrapData > &data, const Ref< SCExtrapError > &error)=0
virtual void | start_extrapolation ()
virtual void | reinitialize ()=0

## Protected Member Functions

void | set_error (double e)

## Detailed Description

The SelfConsistentExtrapolation abstract class is used to iteratively solve equations requiring a self consistent solution, such as,.

## Constructor & Destructor Documentation

sc::SelfConsistentExtrapolation::SelfConsistentExtrapolation | ( | const Ref< KeyVal > & |  | ) |

The only keyword read is tolerance#, which is usually not needed since the objects using SelfConsistentExtrapolation should set the tolerances as needed.

## Member Function Documentation

void sc::SelfConsistentExtrapolation::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::DIIS.

The documentation for this class was generated from the following file:

- scextrap.h